package org.apidesign.apifest08.currency;

import java.util.Currency;

public class ExchangeRate {

  private Currency originalCurrency;
  private Currency newCurrency;
  private double unit;
  private double rate;

  public ExchangeRate(Currency originalCurrency, Currency newCurrency, double rate, double unit) {
    this.newCurrency = newCurrency;
    this.originalCurrency = originalCurrency;
    this.rate = rate;
    this.unit = unit;
  }

  public Currency getOriginalCurrency() {
    return originalCurrency;
  }

  public Currency getNewCurrency() {
    return newCurrency;
  }

  public double getUnit() {
    return unit;
  }

  public double getRate() {
    return rate;
  }

}
